apiVersion: v1
kind: Service
metadata:
    name: kubernetes-dashboard-lb
    namespace: kubernetes-dashboard
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    type: LoadBalancer
    ports:
        - port: ENC[AES256_GCM,data:n/DVlg==,iv:kLzfPjCdNhAaDtvea8V0C8FWR4sm7wVcco20LtAaE5U=,tag:R0TBTrBQWpWRr2yEL5AzKw==,type:int]
          protocol: ENC[AES256_GCM,data:WZdm,iv:OX1XWG/n6TUmf+KAACmNa5BTXO5GkJcyYxRk9Pl+vdg=,tag:m53v+nCoETldP0TwUXPKjw==,type:str]
          targetPort: ENC[AES256_GCM,data:4nN3PQ==,iv:7plTkz48U1TifI5bQp/CoGC3wBFsXvOX5ZbOCZ7dlT0=,tag:TKfGWUh2NklYwQp3ku9xyQ==,type:int]
    selector:
        k8s-app: ENC[AES256_GCM,data:k59lNDR1tl0CYvdylgmbOws0SH8=,iv:VR/ZG9asD7iCiYsf2kRrlQTNWivceRvh71QWfnK0mxE=,tag:PhPdkSuy3Gqn5hG/D62boA==,type:str]
    loadBalancerIP: ENC[AES256_GCM,data:fYiayq5vbpTe7w0E,iv:FUW5NZNuu+vVTTeiDWs405Ix/g4sArL6nP2YOzLoPCU=,tag:bjZSLIOaX69XQZPnDQuHtQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBVZldLZlZ6aXB4N2p0RjZW
            Uy9CNjJHOWN5a1pYQ0FoMFdnNE80RTB5c3l3Ck1oWm5OTC9OTkNvdVU2RXBQYmpp
            TXJuWnc2N0dVbDNQNWR6dVJCUGU5NEUKLS0tIFJBRzRENlVGRVJFeTZ6L3MwVjBO
            WXhBWTI2dlNaQ2JNVnBrRXg3Y1pBMXcK2UY4Yg1i979lnB90NWjH5bRbydcKUsjN
            8kYEe1HahatCQEjdS70N5r7FZPvBZcBILVyu2p5b8HbKvh8SRd7MgQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:6sLmJCphonzQbRsFya4EDMkAg+FM1TgpRu0sWP85TQdiR00/hcGqJhLGNGTjpgPa2rhWHvCNnOvGSr38PpWkyeSTfZLBbavP9NiGE2kaJHMxhfDfwxnrBj+F+T5poBT3eJhN+EUp4XEaHUCZ/HQt4Oq+lMemn8+qpw32X/KR0+0=,iv:PFmlKbLbjf++MGHPuDK5vw0Y84O7gGKZN2d/s3ClEH0=,tag:NcVyXPyVBUKe5kw1moXg2A==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
